using System;
using System.Data;
using System.Collections;
using System.Windows.Forms;
using System.Collections.Specialized;

namespace WindowsApplication1
{
	/// <summary>
	/// Used for the collection of Keywords or comments...
	///  </summary>
	

	[Serializable]
	public class StringCollection
	{

		ArrayList collection ;
        Random rnd;
		
		
		public StringCollection()
		{
			collection= new ArrayList();
			rnd=   new Random();
		}

		public void AddToList(string str)
		{
			collection.Add((object)str);
		}

		public void RemoveFromList(string str)
		{
			collection.Remove((object)str);
		}

		public string GetRandom()
		{
			if( collection.Count == 0)
				return "";
            return (string) collection[rnd.Next(collection.Count) ];			
		}

		public string GetInSeries(int i)
		{
			return (string) collection[i];
		}
		public int GetCount()
		{
			return collection.Count ;
		}

		

		public void AddToTable( System.Windows.Forms.ListView tbl)
		{
			for( int i=0;i<collection.Count ;i++)
			{
				tbl.Items.Add( new ListViewItem( new string []{(string) collection[i]}));
			}
		}


	}

	[Serializable]
	public class UserPass
	{

		ArrayList collection;
		Random rnd;
		
		
		public UserPass()
		{
			collection= new ArrayList();
			
			rnd=   new Random();
		}

		public int GetCount()
		{
			return collection.Count ;
		}

		public void AddToList(string username,string password)
		{
			collection.Add((object) new string [] {username,password});
		}
		public void RemoveFromList(string username,string password)
		{
			collection.Remove((object) new string [] {username,password});
			
		}

		

		public void AddToTable( System.Windows.Forms.ListView tbl)
		{
			for( int i=0;i<collection.Count ;i++)
			{
				tbl.Items.Add( new ListViewItem((string []) collection[i]));				
			}
		}

		public void AddToTableCount( System.Windows.Forms.ListView tbl)
		{
			for( int i=0;i<collection.Count ;i++)
			{
				string [] str =(string []) collection[i];
				tbl.Items.Add( new ListViewItem( new string [] {i.ToString(),str[0],str[1] }));				
			}

			MultipartForm.counter= collection.Count-1;
		}



		public string [] GetRandom()
		{
			if( collection.Count == 0)
				return new string [] {"",""};
			return (string []) collection[rnd.Next(collection.Count) ];			
		}


	}


}
